Bug 205235 - No way to put 64bit _applications_ to the ISO
No way to put 64bit _applications_ to the ISO
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
Blocks: 204787 205976 206041
  Show dependency treegraph
Reported: 2006-09-05 10:46 EDT by Stepan Kasal
Modified: 2013-01-09 23:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-05 11:06:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2006-09-05 10:46:09 EDT
Imagine: for a package foo, there are two binary packages:
foo-1.2-3.ppc.rpm and foo-1.2-3.ppc64.rpm.
Which of them get collected for the ppc iso?

1) For most applications, the 32bit version is quicker, and thus preferred.
The ppc64.rpm would never have been used: consequently, it is not included in
the iso.

2) For some *libraries*, the 64bit version can also be useful, so both rpms are
included in the iso, and both get installed (if the machine is 64bit).  These
are so called "multilib" packages.

3) There are certain applications for which the 64bit version should be
preferred, and the 32bit versions should be used only on 32bit systems.
Thus both rpms should be included on the iso, but they cannot be installed
simultaneously. (An example of such a package is gdb or frysk.)
How do I achieve this?
Comment 1 Jesse Keating 2006-09-06 16:54:14 EDT
You would get release-engineering to add them to the multilib list that is
maintained for things that are multilib but don't have a -devel package.

I've added gdb as there is both a ppc and ppc64 package.  However as we spoke
about before, there is no ppc package for frysk, so I'm reluctant to add it to
the 'multilib' list when it really isn't multilib.
Comment 2 Stepan Kasal 2006-09-07 11:39:00 EDT
I hope the term 'multilib' does not in this case mean that anaconda will try to
install both.

(gdb.ppc conflicts with gdb.ppc64, and frysk.ppc will conflict with frysk.ppc64.)
Comment 3 Jesse Keating 2006-09-07 11:48:07 EDT
Yes, it will.  Thats the point of multilib, they can both be installed at the
same time.  If they conflict, they can't be listed as multilib.
Comment 4 Stepan Kasal 2006-09-07 12:14:49 EDT
OK, then neither gdb nor frysk may be listed as multilib.

And we have to get back to the beginning:
the release process has to be enehanced to support 64bit _applications_.
("multilib" is not what we want here.)

(I admit the original description of the bug is too wordy, but I was not able to
do better.)
Comment 5 Jesse Keating 2006-09-08 13:21:45 EDT
I'm not entirely sure how Anaconda (yum) would treat this when there is both
.i386 and .x86_64 packages in the repo.  By default it installs both that are
available.  I'm reassigning to anaconda for now, as this is more than a matter
of just putting the package in the tree.
Comment 6 Jeremy Katz 2006-09-11 16:20:30 EDT
Ermm, gdb doesn't conflict between ppc and ppc64 -- the fact that they have
common binaries is fine (the common binary files are ELF32 and ELF64, so rpm
will properly prefer the ELF64 binary and only put it on the disk)

The only time there's a problem is if there are common files which _aren't_
architecture specific.  Do you have anything like htis?
Comment 7 Matthew Miller 2007-04-06 12:22:52 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 8 Red Hat Bugzilla 2007-06-11 23:15:55 EDT
requested by Jams Antill
Comment 9 Stepan Kasal 2008-02-05 11:06:28 EST
I did not understand multilib when I filed this bug.
I think it can be closed now.

Note You need to log in before you can comment on or make changes to this bug.